import mrdna
import appdirs
from .config import config

def report(data):
    if not config['reporting_allowed']:
        return
        
    try:
        import requests
        import concurrent.futures
        import urllib.parse
        def send_url(data):
            version = urllib.parse.quote_plus(mrdna.__version__)
            data = urllib.parse.quote_plus(data)
            requests.get(url = "http://bionano.physics.illinois.edu/mrdna-report/{}/{}".format(version,data))

        with concurrent.futures.ThreadPoolExecutor(max_workers=2) as executor:
            executor.submit(send_url,data)

    except:
        pass
